#!/usr/bin/make -f

export DH_VERBOSE = 1

export GOCACHE=$(CURDIR)/_build
export GOPATH=$(CURDIR)/_build

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	# download kubernetes source code with apt-get source instead of
	# go get -v "k8s.io/kubernetes/pkg/kubectl"
	mkdir $(CURDIR)/_build/src/k8s.io
	cd $(CURDIR)/_build/src/k8s.io && apt-get source kubernetes
	mv $(CURDIR)/_build/src/k8s.io/kubernetes-* $(CURDIR)/_build/src/k8s.io/kubernetes
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- --no-source
